<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "integrity_check_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "IntegrityCheckLog".
 *
 * Columns in table "integrity_check_log" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $name
 * @property string $date_added
 * @property string $url
 * @property string $params
 *
 */
abstract class BaseIntegrityCheckLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'integrity_check_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'IntegrityCheckLog|IntegrityCheckLogs', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name, params', 'required'),
            array('id', 'numerical', 'integerOnly' => true),
            array('name', 'length', 'max' => 255),
            array('date_added', 'safe'),
            array('date_added', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, name, date_added, url, params', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'date_added' => Yii::t('app', 'Date Added'),
            'url' => Yii::t('app', 'Url'),
            'params' => Yii::t('app', 'Params'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('url', $this->url, true);
        $criteria->compare('params', $this->params, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
